:root {
  --base-features-size: 20px;
}

.features-modal {
    overflow-y: auto;
    position: fixed;
    background: rgba(0, 0, 0, 0.7);
    height: 100vh;
    width: 100vw;            
    z-index: 111;
    display: flex;
    justify-content: center;
    align-items: center;
}

.features-table {
  font-family: "Geist", sans-serif;
  font-size: calc(var(--base-features-size) * 1.6);
  border-radius: calc(var(--base-features-size) * 1);
  background: rgb(13, 21, 36);
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: calc(var(--base-features-size) * 1.9) calc(var(--base-features-size) * 3.8);
  max-width: 700px;
  width: 100%;
}

.feature-table svg {
  width: 100%;
  height: auto;
  max-width: 300px;
}

.features-table img.features-table-bg {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  max-height: 100%;
}

.features-table a.features-table-close {
  position: absolute;
  top: calc(var(--base-features-size) * 1.25);
  right: calc(var(--base-features-size) * 1.25);
  cursor: pointer;
  color: #2D87AF;
  z-index: 11;
}

.features-table a.features-table-close:hover {
    color: #00FAA9;
    transition: all 0.2s ease-out;
}

.features-table a.features-table-close svg {
  width: calc(var(--base-features-size) * 1.5);
}

.features-table img.features-table-bg.mobile {
  display: none;
}

.features-table .features-table-header {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-top: calc(var(--base-features-size) * 1.25);
}

.features-table .features-table-header .features-table-header-main {
  background: linear-gradient(95deg, #00ffa3 3.49%, #00c2ff 95.78%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  width: fit-content;
  font-size: calc(var(--base-features-size) * 2.5);
  font-weight: 700;
  text-align: center;
}
.features-table .features-table-header .features-table-header-subheader {
  color: #ffffff;
  font-size: calc(var(--base-features-size) * .9);
  text-align: center;
}

.features-table .features-table-content {
  z-index: 10;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: calc(var(--base-features-size) * 1.25);
  width: 100%;
}

.features-table .features-table-footer {
  display: flex;
  align-items: center;
  justify-content: center;
}
.features-table .features-table-footer .features-link-button {
  background: linear-gradient(90deg, #03d388 0%, #0399c9 100%);
  border-radius: calc(var(--base-features-size) * .4);
  color: #ffffff;
  padding: calc(var(--base-features-size) * .7);
  font-size: calc(var(--base-features-size) * 1);
  font-weight: 700;
  border: none;
  text-decoration: none;
  text-align: center;
}

@media screen and (max-width: 760px) {
  :root {
    --base-features-size: 18px;
  }

  .features-modal {
    overflow-y: auto;
    min-height: 100vh;
    height: 100%;
    min-width: 100vw;
    width: 100%;
    display: block;
  }
  .features-table {
    border-radius: calc(var(--base-features-size) * .7);
    padding: calc(var(--base-features-size) * 2.1) calc(var(--base-features-size) * 1.25);
    min-height: 100%;
    height: auto;
    min-width: min-content;
    width: 100%;
    max-width: none;
    justify-content: start;
  }
  .features-table .features-table-content {
    /* flex: 1 1 auto; */
  }
  .features-table .features-table-header {
    margin-top: 0;
  }
  .features-table .features-table-header .features-table-header-main {
    font-size: calc(var(--base-features-size) * 2.1);
  }
  .features-table .feature-columns {
    /* margin-bottom: calc(var(--base-features-size) * 2.5); */
  }
  .features-table .features-table-footer {
    /* margin-top: auto; */
  }
  .features-table .features-table-footer .features-link-button {
    padding: calc(var(--base-features-size) * 1.25);
    width: 100%;
  }
  .features-table img.features-table-bg:not(.mobile) {
    display: none;
  }
  .features-table img.features-table-bg.mobile {
    display: block;
  }

  .features-table a.features-table-close {
    top: calc(var(--base-features-size) * .8);
    right: calc(var(--base-features-size) * .8);
  }
}

.features-table .features-table-content .feature-columns {
  display: grid;
  grid-template-columns: auto repeat(10, min-content);
  grid-template-rows: auto;
  z-index: 10;
}

.features-table .features-table-content .feature-column {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 100; /* костыль, если элементов станет другое количество */

  border-radius: calc(var(--base-features-size) * .7);
  margin-left: calc(var(--base-features-size) * .2);
  margin-right: calc(var(--base-features-size) * .2);
}

.features-table .features-table-content .feature-column-header {
  background: transparent;
  color: white;
  font-size: calc(var(--base-features-size) * .9);
  padding: calc(var(--base-features-size) * .25);
  text-align: center;
  border-radius: calc(var(--base-features-size) * .5);
}

.features-table .features-table-content .feature-column.premium .feature-column-header {
  font-weight: bold;
}

.features-table .features-table-content .feature-column.premium {
  background: linear-gradient(90deg, #03d388 0%, #0399c9 100%);
  padding: 0 calc(var(--base-features-size) * .2) calc(var(--base-features-size) * .2) calc(var(--base-features-size) * .2);
}

.features-table .features-table-content .feature-column.premium .feature-column-body {
    border: none;
}

.features-table .features-table-content .feature-column-body {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 100; /* костыль, если элементов станет другое количество */

  border-radius: calc(var(--base-features-size) * .7);
  background: #0c1524;
  border: 1px solid #485b7a;
  padding: calc(var(--base-features-size) * .5) calc(var(--base-features-size) * .75);
  height: 100%;
  background-clip: padding-box, border-box;
}

.features-table .features-table-content .feature-column-body.check-list {
  padding: calc(var(--base-features-size) * .5) 0;
}



.features-table .features-table-content .feature-column-body .feature-item {
  color: white;
  display: flex;
  justify-content: left;
  align-items: center;

  font-size: calc(var(--base-features-size) * .7);
  font-weight: 400;
  padding: calc(var(--base-features-size) * .25) 0;
}

.features-table .features-table-content .feature-column-body .feature-item span.feature-tooltip {
  padding: 0 calc(var(--base-features-size) * .25);
  cursor: pointer;
  color: #485B7A;
}

.features-table .features-table-content .feature-column-body .feature-item span.feature-tooltip svg {
  width: calc(var(--base-features-size) * .8);
}

.features-table .features-table-content .feature-column-body.check-list .feature-item {
  justify-content: center;
}

.features-table .features-table-content .feature-column-body.check-list .feature-item span.check svg {
  width: calc(var(--base-features-size) * 1.3);
}

.features-table .features-table-content .feature-column-body.check-list .feature-item span.uncheck svg {
  width: calc(var(--base-features-size) * .7);
}

.features-table
  .features-table-content
  .feature-column-body:not(.check-list)
  .feature-item::before {
  content: "•";
  margin-right: calc(var(--base-features-size) * 0.5);
  padding: 0;
}
